<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Poke_Model_DbTable_Manageactions extends Engine_Db_Table {

  protected $_rowClass = 'Poke_Model_Manageaction';

  public function getResults($params = array()) {

    $select = $this->select();

    if (isset($params['manageaction_id']))
      $select->where('manageaction_id = ?', $params['manageaction_id']);

    if (isset($params['name']))
      $select->where('name = ?', $params['name']);

    if (isset($params['enabled']))
      $select->where('enabled = ?', $params['enabled']);
    
    $select->order('order ASC');
    
    return $select->query()->fetchAll();
  }
}
